<?php
/*
Plugin Name: Piwishadow
Author: Binaryworld
Author URI: http://binaryworld.hd.free.fr/
*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined( 'DS')) define( 'DS', DIRECTORY_SEPARATOR );

if (!defined( 'PIWISHADOW_PATH')) define('PIWISHADOW_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
include_once PIWISHADOW_PATH .'config.inc.php';

//function plugin_install($plugin_id, $plugin_version, &$errors) { }

function plugin_activate($plugin_id, $plugin_version, &$errors) {
	// Restore the previous user configuration
	$filename = dirname(__FILE__) .DS. Config::$CONFIG_FILENAME;
	if (file_exists($filename) && Config::read($filename, $oldConfig)) {
		//$oldConfig = new Config( $config );
		$newConfig = Config::createDefaultConfig(dirname(__FILE__) .DS. Config::$DEFAULT_CONFIG_FILENAME);
		if ($newConfig) {
			// Update the newest configuration witht the existing configuration
			$newConfig->update($oldConfig);
			// Replace the user configuration 
			$newConfig->save($filename);
		}
	}
}

//function plugin_deactivate($plugin_id) { }

//function plugin_uninstall($plugin_id) {}

?>